/*

This file is part of jHaushalt.

jHaushalt is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2 of the License, or
(at your option) any later version.

jHaushalt is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with jHaushalt; if not, see <http://www.gnu.org/licenses/>.


(C)opyright 2002-2008 Dr. Lars H. Hahn

*/
package haushalt.daten;

import java.util.Currency;

/**
 * Das WaehrungsRegister kann andere als die "Stamm-"Whrung verwalten.
 *
 * @author Dr. Lars H. Hahn
 * @version 2.x/2008.01.31
 * @since 2.x
 */

/*
 * PROBLEME:
 * - Vereinigen der Register nicht (beliebig) moeglich
 * - Euro-Klasse kann nicht mit mehreren Whrungen umgehen (--> Waehrungssymbol nicht statisch)
 * - Umbuchungen zwischen Waehrungskonten
 * - Anzeige des Kurses bei Umbuchungen
 * - nderung des Standard-Kurses zur Bewertung eines Waehrungskontos 
 */
public class WaerungsRegister extends Register {
  
  final private Currency waehrung;
  final private Double kurs;
  
  public WaerungsRegister(String name, String currencyCode, Double kurs) {
    super(name);
    waehrung = Currency.getInstance(currencyCode);
    this.kurs = kurs;
  }

  public void registerVereinigen(Register registerZumLoeschen) {
    // TODO
  }

}
